org.apache.poi.hslf.record

## Class ExAviMovie

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordContainer
    - - org.apache.poi.hslf.record.ExMCIMovie
      - - org.apache.poi.hslf.record.ExAviMovie

- All Implemented Interfaces:
    GenericRecord

      public final class ExAviMovie
      extends ExMCIMovie

  A container record that specifies information about a movie stored externally.
  Author:
    Yegor Kozlov

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.RecordContainer

      `_children`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ExAviMovie()` Create a new ExAviMovie, with blank fields
    `protected` | `ExAviMovie(byte[] source, int start, int len)` Set things up, and find our more interesting children

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getRecordType()` We are of type 4102

    - ### Methods inherited from class org.apache.poi.hslf.record.ExMCIMovie

      `getExVideo, writeOut`

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordContainer

      `addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, getGenericProperties, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExAviMovie

          protected ExAviMovie(byte[] source,
                               int start,
                               int len)

      Set things up, and find our more interesting children

    - #### ExAviMovie

          public ExAviMovie()

      Create a new ExAviMovie, with blank fields

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      We are of type 4102
      Overrides:
        `getRecordType` in class `ExMCIMovie`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.